Solution

You will need the readline4 library installed on your system to get command line history in relipython for Relibase+.

Version 4 of readline should already be present in most older Linux distributions. If you are using a newer linux distribution, you may only have readline library version 5, in which case you will need to download and install a package with the older version. The package name will vary depending on the linux distribution, i.e. for SuSe 9.x you would require compact-readline4.

Alternatively, you can create a symbolic link for version 4 to version 5 with the following command (assuming /lib/libreadline.so.5 is the correct library on your system):

ln -s /lib/libreadline.so.5 /lib/libreadline.so.4

Note you will likely require root privileges for this action.


« Return to search results